Subject: git-daemon serving repos with repo.git/git-daemon-export-ok

From: John Griessen <[email-masked]>
Date: Mon, 03 Jan 2011 15:49:41 -0600

I would like to serving repos with repo.git/git-daemon-export-ok from a debian linux server installation,
but I am getting symptoms of clone failing.

john@toolbench:~/EEProjects/test$ git clone git://ecosensory.com/tek_7k_ext.git
Cloning into tek_7k_ext...
fatal: protocol error: bad line length character: fata

I've read that that is due to the shell at the client end putting out extra characters...
but other testers on other machines get it the same way...

Next I tried changing my command that runs git-daemon
from

exec 2>&1
echo 'git-daemon starting.'
exec chpst -ugitdaemon \
   "$(git --exec-path)"/git-daemon --verbose --base-path=/var/cache /var/cache/git

to

exec 2>&1
echo 'git-daemon starting.'
exec chpst -ugitdaemon \
   "$(git --exec-path)"/git-daemon --verbose --base-path=/srv/gitosis /srv/gitosis/repositories

and results are:

john@toolbench:~/EEProjects/test$  git clone git://ecosensory.com/tek_7k_ext.git
Cloning into tek_7k_ext...
fatal: protocol error: bad line length character: fata
john@toolbench:~/EEProjects/test$  git clone git://ecosensory.com/repositories/tek_7k_ext.git
Cloning into tek_7k_ext...
fatal: protocol error: bad line length character: fata

What can I do to simplify this testing and pin point the problem?

Or is gitweb recommended?

thanks,

John Griessen